View Issue Details

IDProjectCategoryView StatusLast Update
0000185Bacula-Webbug-phppublic2016-04-03 15:52
ReporterdavideAssigned Todavide 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version7.0.3 
Target Version7.1.0Fixed in Version7.1.0 
Summary0000185: Wrong backup job speed in Backup Job report
DescriptionI upgraded from 7.0.2 to 7.0.3 but my problem was still there,
backupjob-report.php display Speed in B/s but $speed is MB/s

Example:

Last jobs
Job Id Level Files Bytes Start time End time Elapsed time Speed Compression
15160 Incr 358 5.01 MB 2016-03-29 22:05:03 2016-03-29 22:05:04 00:00:01 4.8 MB/s 0.82
15159 Incr 191 5.02 MB 2016-03-29 18:05:03 2016-03-29 18:05:04 00:00:01 4.8 MB/s 0.83

That was B/s but I changed line 129 from
$job['speed'] = CUtils::Get_Human_Size($speed, 1) . '/s';
to
$job['speed'] = CUtils::Get_Human_Size($speed *1000000 , 1) . '/s';

So I now get the output right, but I don't know anything about smarty so you should probably look at it
and see if there is a problem somewhere.
Steps To ReproduceDisplay Backup job report page
TagsNo tags attached.

Activities

davide

2016-03-30 09:31

manager   ~0000517

I don't see any unit problem in the capture your provided.

5.01 MB in 1 second gives MB/s

In the meantime, there's maybe something wrong in the speed calculation.

5.01 MB in 1 seconde should give 5.01 MB/s and not 4.8 MB/s

davide

2016-04-03 15:11

manager   ~0000524

I have the same problem on my server ;)

davide

2016-04-03 15:34

manager   ~0000525

Found how to fix it.

Thanks for submitting this bug report.

davide

2016-04-03 15:52

manager   ~0000526

The problem have been fixed and the fix will be available in version 7.1.0.

Issue History

Date Modified Username Field Change
2016-03-30 09:24 davide New Issue
2016-03-30 09:24 davide Status new => assigned
2016-03-30 09:24 davide Assigned To => davide
2016-03-30 09:31 davide Note Added: 0000517
2016-04-03 14:59 davide Target Version => 7.1.0
2016-04-03 15:11 davide Note Added: 0000524
2016-04-03 15:11 davide Status assigned => confirmed
2016-04-03 15:34 davide Note Added: 0000525
2016-04-03 15:52 davide Note Added: 0000526
2016-04-03 15:52 davide Status confirmed => resolved
2016-04-03 15:52 davide Fixed in Version => 7.1.0
2016-04-03 15:52 davide Resolution open => fixed